import './style/reset.css';
import './style/iconfont/iconfont.css';

import Message from './components/message';
import Button from './components/button';

export const components = [
    Message,
    Button,
];

export {
    Message,
    Button,
}

const install = function (Vue, opt = {}) {

    components.forEach(component => {
        Vue.component(component.name, component);
    });

    Vue.prototype.$message = Message;
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

export default {
    install
};
